package cz.senslog.analytics.messaging;

import cz.senslog.analytics.domain.ThresholdViolationNotification;
import io.vertx.core.json.JsonObject;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

public class SensLogAlertMessageBroker implements MessageBroker {
    private static final Logger logger = LogManager.getLogger(SensLogAlertMessageBroker.class);

    private final JsonObject config;

    public SensLogAlertMessageBroker(JsonObject config) {
        this.config = config;
    }

    @Override
    public void send(ThresholdViolationNotification notification, JsonObject recipients) {
        logger.info("SensLog Alert: {}", createMessage(notification));
    }
}
